<!DOCTYPE html>
<html lang="">
  <head>
    <meta charset="utf-8">
    <title>lib bitMap</title>
    <script src=bitMap.js></script>
    <style>
      #imgs {display:flex}
      canvas {width:fit-content;height: fit-content;}
    </style>
  </head>
  <body>
    <div id=imgs>
      <canvas id=left></canvas>
      <canvas id=right></canvas>
    </div>
  </body>
  <script>


//--------- Setup ------------
//  Le chargement des images est asynchrone, donc on les enchaine
//  pour etre certain de ne pas lancer main() avant d'avoir charge
//  les donnees
var nbOk=0;function ifOk(nbr,action) {nbOk++; console.log('need',nbr,'got',nbOk);if (nbOk==nbr) { action() } }

//tom.onload=function() {tom.show(document.getElementById('left'));  ifOk(2,main) }
//fix.onload=function() {fix.show(document.getElementById('right')); ifOk(2,main) }
i1=new bitMap()
i2=new bitMap()

i1.loadFile('images/abeille.png',function() {i1.show(document.getElementById('left'));  ifOk(2,main) })
i2.loadFile('images/molok.png',function() {i2.show(document.getElementById('right')); ifOk(2,main) })
//----------------------------------- Fin setup --------------------

function main() {
  console.log('entering main')
  //tom.data=tom.data.map(x=>x*2)

  composite=i1.select({from:[0,0], size:[0,0],layers:[0,1,2]}).lyxMatrix()
  composite[3]=i2.select({from:[0,0], size:[0,0],layers:[0]}).lyxMatrix()[0]
  mix=bitMap.fromLYXmatrix(composite)
  mix.show(document.getElementById('right'))


}





  </script>

</html>
